Bug 1299144 - Upgrade OSP7 with puppet-tripleo patches
Upgrade OSP7 with puppet-tripleo patches
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules (Show other bugs)
7.0 (Kilo)
All Linux
urgent Severity urgent
: z4
: 7.0 (Kilo)
Assigned To: Martin Magr
Omri Hochman
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-16 11:00 EST by Emilien Macchi
Modified: 2016-02-18 11:44 EST (History)
2 users (show)

See Also:
Fixed In Version: openstack-puppet-modules-2015.1.8-38.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 11:44:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emilien Macchi 2016-01-16 11:00:23 EST
We need to backport 2 patches in OPM rhos7:
https://review.openstack.org/#/c/261041/

And then:
https://review.openstack.org/#/c/268388/

That will make possible updates between OSP releases with TripleO & Puppet.
Comment 1 Emilien Macchi 2016-01-16 11:01:53 EST
See https://bugzilla.redhat.com/show_bug.cgi?id=1299022 for full context.
Comment 4 Omri Hochman 2016-02-17 17:12:01 EST
verified with : openstack-tripleo-heat-templates-0.8.6-121.el7ost.noarch . 

latest patches are merged into packages.pp code.
Comment 6 errata-xmlrpc 2016-02-18 11:44:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0265.html

Note You need to log in before you can comment on or make changes to this bug.